### Class

# Gio MenuLinkIter

since: 2.32

#### Description [src]

    abstract class Gio.MenuLinkIter : GObject.Object
    {
      GMenuLinkIterPrivate* priv
    }

`GMenuLinkIter` is an opaque structure type. You must access it using the functions below.

Available since: 2.32

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### g_menu_link_iter_get_name

Gets the name of the link at the current iterator position.

since: 2.32

###### g_menu_link_iter_get_next

This function combines `g_menu_link_iter_next()` with `g_menu_link_iter_get_name()` and g_menu_link_iter_get_value().

since: 2.32

###### g_menu_link_iter_get_value

Gets the linked `GMenuModel` at the current iterator position.

since: 2.32

###### g_menu_link_iter_next

Attempts to advance the iterator to the next (possibly first) link.

since: 2.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioMenuLinkIterClass {
      GObjectClass parent_class;
      gboolean (* get_next) (
        GMenuLinkIter* iter,
        const gchar** out_link,
        GMenuModel** value
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_next: gboolean (* get_next) ( GMenuLinkIter* iter, const gchar** out_link, GMenuModel** value )`

  No description available.

#### Virtual methods

###### Gio.MenuLinkIterClass.get_next

This function combines `g_menu_link_iter_next()` with `g_menu_link_iter_get_name()` and g_menu_link_iter_get_value().

since: 2.32